<p>
  <strong>Room name:</strong>
  <%= @room.name %>
</p>

<p>
  <strong>Room type:</strong>
  <%= @room.roomtype %>
</p>

<h2 style="color: firebrick"> <%= @error_msg %> </h2>
<h2 style="color: green"> <%= @msg %> </h2>

<h3>Previous bookings</h3>
<table>
  <tr>
    <td style="border: 1px solid black">Username</td>
    <td style="border: 1px solid black">Starting date</td>
    <td style="border: 1px solid black">Ending date</td>
  </tr>

  <% @room.bookings.each do |booking| %>
    <% if Booking.find_by_id(booking.id) %>
  <tr>
    <td style="border: 1px solid black"><%= booking.username %></td>
    <td style="border: 1px solid black"><%= booking.startdate %></td>
    <td style="border: 1px solid black"><%= booking.enddate %></td>
    <td ><%= link_to 'Delete', [booking.room, booking], method: :delete %></td>
  </tr>
    <% end %>
  <% end %>
</table>

<h2>Book the room:</h2>
<%= form_with(model: [ @room, @room.bookings.build ], local: true) do |form| %>
  <p>
    <%= form.label :username %><br>
    <%= form.text_field :username %>
  </p>
  <p>
    <%= form.label :startdate %><br>
    <%= date_field("booking", "startdate") %>
  </p>
  <p>
    <%= form.label :enddate %><br>
    <%= date_field("booking", "enddate") %>
  </p>
  <p>
    <%= form.submit %>
  </p>
<% end %>


<%= link_to 'All rooms', rooms_path %>